import React, { useState, useEffect } from "react";
import { Form, Button, Row, Col, Input, Modal, Table, message } from "antd";
import { SaveOutlined, UserOutlined, WhatsAppOutlined, ArrowLeftOutlined, AlertOutlined } from "@ant-design/icons";
import moment from "moment";
import { addDoc, collection, doc, getDoc, updateDoc, query as firebaseQuery, limit, getDocs, where, orderBy } from "firebase/firestore";
import { DefaultLayout } from '../../../components/layouts'
import { firestore } from "../../../services/firebase";
import excelCondensado from '../../../services/excelCondensado';


const CondensadoUsuarios = () => {

  const [form] = Form.useForm();
  const [cargando, setCargando] = useState(false)
  

  const onFinish = async (values) => {
    try {
      setCargando(true);

  

    } catch (error) {
      Modal.warning({
        title: "Atención",
        content: "Hubo un problema al generar reporte, intentalo de nuevo.",
      });
      console.log("Error al guardar: ", error);
    } finally {
      setCargando(false);
    }
  };

  const onFinishFailed = () => {
    Modal.warning({
      title: "Atención",
      content: "Por favor revise los datos.",
      style: { marginTop: "20vh" },
    });
  };

  return (
    <DefaultLayout>
      <Form
        name="form"
        form={form}
        autoComplete="off"
        layout="vertical"
        onFinish={onFinish}
        onFinishFailed={onFinishFailed}
      >

      </Form>
    </DefaultLayout>
  );
}

export default CondensadoUsuarios